Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
cdnra
/
{year}
/
{month}
GSTR-1A CDNRA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/cdnra/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "cdnra": [
        {
          "ctin": "01AAAAP1208Q1ZS",
          "cfs": "Y",
          "nt": [
            {
              "chksum": "INVOICECHECKSUMVALUE",
              "cflag": "N",
              "updby": "S",
              "ntty": "C",
              "ont_num": "533515",
              "ont_dt": "23-09-2016",
              "nt_num": "533515",
              "nt_dt": "23-09-2016",
              "p_gst": "N",
              "inum": "915914",
              "idt": "23-09-2016",
              "val": 123123,
              "pos": "03",
              "rchrg": "Y",
              "inv_typ": "DE",
              "opd": "2016-12",
              "d_flag": "Y",
              "itms": [
                {
                  "num": 1,
                  "itm_det": {
                    "rt": 10,
                    "txval": 5225.28,
                    "iamt": 845.22,
                    "camt": 0,
                    "samt": 0,
                    "csamt": 789.52
                  }
                }
              ]
            }
          ]
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Response

200 - application/json

Success

The response is of type object.